﻿@model IEnumerable<SYM.DataAccessLayer.user_wishlist>

<table class="table table-striped table-hover table-bordered" id="dynamic_editable_1">
    <thead>
        <tr>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Mountain </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Altitude </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Range </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Ascent </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Done </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr id="@(item.mountain_id)-@(item.route_id)-@(item.accomodation_id)">
                <td>
                    <strong>
                        @Html.DisplayFor(modelItem => item.mountain.mntn_name)
                    </strong>
                    <a target="_blank" href="@Url.Action("Details","Mountain").Replace("Details","")@item.mountain_id-@item.mountain.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")">
                        <i class="fa fa-angle-double-right"></i>
                    </a>
                </td>
                <td class="center"> @item.mountain.mntn_altitude </td>
                <td> 
                    @*@foreach (var ass_mountaincountry in item.mountain.ass_mountaincountry)
                    {
                        string url = "/Content/themes/m1/assets/global/img/flags/" + ass_mountaincountry.country_code.ToLower() + ".png";
                        <img alt="@ass_mountaincountry.country_code" src="@url">
                    }*@
                    @if (item.mountain.mntn_mountainrange != null)
                    {
                        @item.mountain.mntn_mountainrange.mntnRange_name
                    }
                </td>
                <td class="center"> 
                    @if (item.wl_done == true)
                    {
                        @String.Format("{0:dd/MM/yyyy}", item.wl_dateIns)
                    }
                </td>
                <td class="text-center">
                    @if (item.wl_done == true)
                    {
                        <i class="fa fa-check-square-o"></i>
                    }
                    else
                    {
                        <button type="button" class="btn default btn-xs btn-outline"> Da scalare</button>
                    }
                </td>
                <td class="text-center">
                    <a href="/it/Profile/_EditAdventure/@item.id" data-target="#myModal" class="editAdventure">
                        <i class="fa fa-pencil"></i>
                    </a>
                    <a class="delete" href="javascript:;">
                        <i class="fa fa-trash-o"></i>
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>
